# rpcap_pkthdr Struct Reference
[Internal Structures and Definitions]

Format of the header which encapsulates captured packets when transmitted on the network. More...

`#include <pcap-remote.h>`

## Data Fields

uint32 | timestamp_sec
| 'struct timeval' compatible, it represents the 'tv_sec' field
uint32 | timestamp_usec
| 'struct timeval' compatible, it represents the 'tv_usec' field
uint32 | caplen
| Length of portion present in the capture.
uint32 | len
| Real length this packet (off wire).
uint32 | npkt
| Ordinal number of the packet (i.e. the first one captured has '1', the second one '2', etc).

## Detailed Description

Format of the header which encapsulates captured packets when transmitted on the network.

This message requries the general header as well, since we want to be albe to exchange more information across the network in the future (for example statistics, and kind like that).

Definition at line 219 of file pcap-remote.h.

## Field Documentation

uint32 caplen

Length of portion present in the capture.

Definition at line 223 of file pcap-remote.h.

uint32 len

Real length this packet (off wire).

Definition at line 224 of file pcap-remote.h.

uint32 npkt

Ordinal number of the packet (i.e. the first one captured has '1', the second one '2', etc).

Definition at line 225 of file pcap-remote.h.

uint32 timestamp_sec

'struct timeval' compatible, it represents the 'tv_sec' field

Definition at line 221 of file pcap-remote.h.

uint32 timestamp_usec

'struct timeval' compatible, it represents the 'tv_usec' field

Definition at line 222 of file pcap-remote.h.

The documentation for this struct was generated from the following file:

- pcap-remote.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.